FR EN DE ES PT IT
Ankama Profile

nicolayy's Ankama Profile #4903

Member since 2011-08-01

Introduction

nicolayy hasn't written a personalized description yet

Characters

Shinkirouh
Cra Lvl Omega 242 Atcham
Micans

Activity on the dofus Forum

1 76
when i start the beta client it says the version i have installed is 2.58.0.0-1 and it is not compatible with the server which requires 2.58.1.1 ... the thing is i have unistalled and instlled the beta over and over through the launcher and it always download the same version so how do i install the correct version then ? i have to way until next tuesday or what?